import { ProColumns } from '@ant-design/pro-components';
import { Button, Popconfirm, Space } from 'antd';

export const columns = (edit: (params: any) => void, del: (id: any) => void): ProColumns<any>[] => {
  return [
    {
      title: 'ID',
      dataIndex: 'id',
      key: 'id',
      align: 'center',
      width: 70,
      ellipsis: true,
      hideInSearch: true,
    },
    {
      title: '创作者ID',
      dataIndex: 'creatorUserId',
      key: 'creatorUserId',
      align: 'center',
      width: 70,
      ellipsis: true,
      hideInSearch: true,
    },
    {
      title: '作者名称',
      dataIndex: 'authorName',
      key: 'authorName',
      width: 80,
      ellipsis: true,
    },
    {
      title: '作者描述',
      dataIndex: 'authorDesc',
      key: 'authorDesc',
      width: 80,
      ellipsis: true,
      hideInSearch: true,
    },
    {
      title: '手机',
      dataIndex: 'authorPhone',
      key: 'authorPhone',
      align: 'center',
      width: 80,
      ellipsis: true,
      hideInSearch: true,
    },
    {
      title: '邮箱',
      dataIndex: 'authorEmail',
      key: 'authorEmail',
      align: 'center',
      width: 120,
      ellipsis: true,
      hideInSearch: true,
    },
    {
      title: '操作',
      dataIndex: 'cz',
      key: 'cz',
      width: 160,
      align: 'center',
      className: 'table_fixed',
      hideInSearch: true,
      render: (a: any, b: any) => {
        return (
          <Space>
            <Button
              onClick={() => {
                edit(b);
              }}
              type="link"
            >
              编辑
            </Button>
            <Popconfirm
              title={
                <div>
                  确定要删除<span style={{ color: 'red' }}>{b.name}</span>分类?
                </div>
              }
              onConfirm={() => {
                del(b.id);
              }}
            >
              <a style={{ color: 'red', cursor: 'pointer' }}>删除</a>
            </Popconfirm>
          </Space>
        );
      },
    },
  ];
};
