import { useAjax } from '@/Hook/useAjax';
import { apiShortBookOrderListOfPage } from '@/services/distribution/orderLog';
import { ActionType, PageContainer } from '@ant-design/pro-components';
import { useRef } from 'react';
import { columns } from './tableConfig';
import MyProTable from '@/components/MyProTable';

type DataItem = {
  name: string;
  state: string;
};
const Page: React.FC = () => {
  const actionRef = useRef<ActionType>();
  let ShortBookOrderListOfPage = useAjax((params) => apiShortBookOrderListOfPage(params), {
    type: 'table',
  }); //订单

  return (
    <PageContainer>
      <MyProTable<any, any>
        headerTitle={'短篇小说订单记录列表'}
        actionRef={actionRef}
        rowKey={(r) => r.id}
        search={{
          labelWidth: 120,
        }}
        request={async (params) => {
          if (params.orderTime) {
            params.orderTimeBegin = params.orderTime[0];
            params.orderTimeEnd = params.orderTime[1];
          }
          if (params.amount) {
            params.amountMin = params.amount[0];
            params.amountMax = params.amount[1];
          }
          delete params.orderTime;
          delete params.amount;
          return await ShortBookOrderListOfPage.run(params);
        }}
        columns={columns()}
        scroll={{ x: 'max-content' }}
      // bordered
      />
    </PageContainer>
  );
};
export default Page;
