import { useAjax } from '@/Hook/useAjax';
import { apiLongBookReadLogListOfPage } from '@/services/distribution/readLog';
import { ActionType, PageContainer } from '@ant-design/pro-components';
import { useRef } from 'react';
import { columns } from './tableConfig';
import MyProTable from '@/components/MyProTable';

const Page: React.FC = () => {
  const actionRef = useRef<ActionType>();
  let LongBookReadLogListOfPage = useAjax((params) => apiLongBookReadLogListOfPage(params), {
    type: 'table',
  }); //阅读记录

  return (
    <PageContainer>
      <MyProTable<any, any>
        headerTitle={'长篇小说阅读记录列表'}
        actionRef={actionRef}
        rowKey={(r) => r.id}
        search={{
          labelWidth: 120,
        }}
        request={async (params) => {
          console.log('params', params);
          if (params.createTime) {
            params.startTime = params.createTime[0];
            params.endTime = params.createTime[1];
          }
          delete params.createTime;
          return await LongBookReadLogListOfPage.run(params);
        }}
        columns={columns()}
        scroll={{ x: 'max-content' }}
        // bordered
      />
    </PageContainer>
  );
};
export default Page;
